#!/bin/sh
#
#SettingsSwitcher - version 1.0 (2010-12-10)
#Switch between main (usual) and alternative settings
#Edit your settings when activated with your favorite editor 
#If you deinstall this plugin, your last main settings will activated - but your alternative settings are not lost!
#you will find them in /etc/enigma2/SettingSwitcher/alternativ
#when deinstalling SettingsSwitcher your last configured main settings will be activated
#
#fred_bogus_trumper@dreambox.info


used=/usr/lib/enigma2/python/Plugins/Extensions/SettingsSwitcher/used
main=/etc/enigma2/SettingsSwitcher/main
alternative=/etc/enigma2/SettingsSwitcher/alternative
settings=/etc/enigma2



save_main()
{
rm -rf $main/*
cp -dpR $settings/*bouquet* $main/
cp -dpR $settings/lamedb $main/
}

save_alternative()
{
rm -rf $alternative/*
cp -dpR $settings/*bouquet* $alternative/
cp -dpR $settings/lamedb $alternative/
}

load_main()
{
save_alternative  
rm -rf $settings/*bouquet* 
rm -rf $settings/lamedb 
cp -dpR $main/* $settings/  
}

load_alternative()
{
save_main  
rm -rf $settings/*bouquet* 
rm -rf $settings/lamedb 
cp -dpR $alternative/* $settings/ 
}

change()
{
setting_aktiv=`cat $used` 
case $setting_aktiv in
  alternative)
    showtext=MAIN
    setting_new=main
    echo $setting_new > $used
    load_main 
    ;;
  main)
    setting_new=alternative
    showtext=ALTERNATIVE
    echo $setting_new > $used
    load_alternative  
    ;;  
esac
}
 
change > /dev/null
wget -q -O - http://localhost/web/servicelistreload?mode=0 > /dev/null
wget -q -O - "http://localhost/web/message?text=$showtext%20settings%20are%20loaded%20now!&type=2&timeout=4" > /dev/null
exit 0 
     









 

